Bug 174773 - yum sometimes needs to be run multiple times.
yum sometimes needs to be run multiple times.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 19:32 EST by Dave Jones
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 22:53:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-12-01 19:32:11 EST
This is puzzling, and I've seen it happen a few times.
First I did a yum update...

(19:19:18:root@firewall:~)# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
updates-testing           100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 346 kB    00:01
updates-re: ################################################## 1006/1006
Added 188 new packages, deleted 171 old in 8.75 seconds
primary.xml.gz            100% |=========================|  52 kB    00:00
updates-te: ################################################## 224/224
Added 181 new packages, deleted 16 old in 3.59 seconds
primary.xml.gz            100% |=========================| 879 kB    00:00
extras    : ################################################## 2497/2497
Added 200 new packages, deleted 87 old in 12.43 seconds
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for dhclient to pack into transaction set.
dhclient-3.0.2-26.FC4.i38 100% |=========================|  22 kB    00:00
---> Package dhclient.i386 10:3.0.2-26.FC4 set to be updated
---> Downloading header for lynx to pack into transaction set.
lynx-2.8.5-23.2.i386.rpm  100% |=========================|  21 kB    00:00
---> Package lynx.i386 0:2.8.5-23.2 set to be updated
---> Downloading header for selinux-policy-targeted to pack into transaction set.
selinux-policy-targeted-1 100% |=========================|  49 kB    00:00
---> Package selinux-policy-targeted.noarch 0:1.27.1-2.16 set to be updated
---> Downloading header for perl to pack into transaction set.
perl-5.8.6-16.fc4.i386.rp 100% |=========================| 268 kB    00:00
---> Package perl.i386 3:5.8.6-16.fc4 set to be updated
---> Downloading header for chkconfig to pack into transaction set.
chkconfig-1.3.23-0.4.i386 100% |=========================|  22 kB    00:00
---> Package chkconfig.i386 0:1.3.23-0.4 set to be updated
---> Downloading header for yum to pack into transaction set.
yum-2.4.1-0.fc4.noarch.rp 100% |=========================|  20 kB    00:00
---> Package yum.noarch 0:2.4.1-0.fc4 set to be updated
---> Downloading header for ntsysv to pack into transaction set.
ntsysv-1.3.23-0.4.i386.rp 100% |=========================|  12 kB    00:00
---> Package ntsysv.i386 0:1.3.23-0.4 set to be updated
---> Downloading header for dhcp to pack into transaction set.
dhcp-3.0.2-26.FC4.i386.rp 100% |=========================|  24 kB    00:00
---> Package dhcp.i386 10:3.0.2-26.FC4 set to be updated
---> Downloading header for shadow-utils to pack into transaction set.
shadow-utils-4.0.12-6.FC4 100% |=========================|  38 kB    00:00
---> Package shadow-utils.i386 2:4.0.12-6.FC4 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 chkconfig               i386       1.3.23-0.4       updates-released  136 k
 dhclient                i386       10:3.0.2-26.FC4  updates-testing   238 k
 dhcp                    i386       10:3.0.2-26.FC4  updates-testing   597 k
 lynx                    i386       2.8.5-23.2       updates-released  1.7 M
 ntsysv                  i386       1.3.23-0.4       updates-released   23 k
 perl                    i386       3:5.8.6-16.fc4   updates-released   11 M
 selinux-policy-targeted  noarch     1.27.1-2.16      updates-testing   921 k
 shadow-utils            i386       2:4.0.12-6.FC4   updates-released  850 k
 yum                     noarch     2.4.1-0.fc4      updates-testing   386 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       9 Package(s)
Remove       0 Package(s)
Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): dhclient-3.0.2-26. 100% |=========================| 238 kB    00:01
(2/9): lynx-2.8.5-23.2.i3 100% |=========================| 1.7 MB    00:05
(3/9): selinux-policy-tar 100% |=========================| 921 kB    00:01
(4/9): perl-5.8.6-16.fc4. 100% |=========================|  11 MB    00:33
(5/9): chkconfig-1.3.23-0 100% |=========================| 136 kB    00:00
(6/9): yum-2.4.1-0.fc4.no 100% |=========================| 386 kB    00:01
(7/9): ntsysv-1.3.23-0.4. 100% |=========================|  23 kB    00:00
(8/9): dhcp-3.0.2-26.FC4. 100% |=========================| 597 kB    00:01
(9/9): shadow-utils-4.0.1 100% |=========================| 850 kB    00:02
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : chkconfig                    ####################### [ 1/18]
  Updating  : perl                         ####################### [ 2/18]
  Updating  : dhclient                     ####################### [ 3/18]
  Updating  : lynx                         ####################### [ 4/18]
  Updating  : selinux-policy-targeted      ####################### [ 5/18]
  Updating  : yum                          ####################### [ 6/18]
  Updating  : ntsysv                       ####################### [ 7/18]
  Updating  : dhcp                         ####################### [ 8/18]
  Updating  : shadow-utils                 ####################### [ 9/18]
  Cleanup   : dhclient                     ####################### [10/18]
  Cleanup   : lynx                         ####################### [11/18]
  Cleanup   : selinux-policy-targeted      ####################### [12/18]
  Cleanup   : perl                         ####################### [13/18]
  Cleanup   : chkconfig                    ####################### [14/18]
  Cleanup   : yum                          ####################### [15/18]
  Cleanup   : ntsysv                       ####################### [16/18]
  Cleanup   : dhcp                         ####################### [17/18]
  Cleanup   : shadow-utils                 ####################### [18/18]

Updated: chkconfig.i386 0:1.3.23-0.4 dhclient.i386 10:3.0.2-26.FC4 dhcp.i386
10:3.0.2-26.FC4 lynx.i386 0:2.8.5-23.2 ntsysv.i386 0:1.3.23-0.4 perl.i386
3:5.8.6-16.fc4 selinux-policy-targeted.noarch 0:1.27.1-2.16 shadow-utils.i386
2:4.0.12-6.FC4 yum.noarch 0:2.4.1-0.fc4
Complete!


ok, so it found a bunch of packages, but it didn't update the kernel that I
built and pushed out 3 days ago. How odd. 

I run yum update again and....


(19:29:59:root@firewall:~)# yum update
Setting up Update Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
updates-testing           100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 349 kB    00:00
updates-re: ################################################## 1011/1011
Added 54 new packages, deleted 49 old in 6.26 seconds
primary.xml.gz            100% |=========================|  42 kB    00:00
updates-te: ################################################## 217/217
Added 0 new packages, deleted 7 old in 0.89 seconds
primary.xml.gz            100% |=========================| 883 kB    00:01
extras    : ################################################## 2507/2507
Added 19 new packages, deleted 9 old in 8.56 seconds
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for file to pack into transaction set.
file-4.16-fc4.1.i386.rpm  100% |=========================|  10 kB    00:00
---> Package file.i386 0:4.16-fc4.1 set to be updated
---> Downloading header for cpp to pack into transaction set.
cpp-4.0.2-8.fc4.i386.rpm  100% |=========================|  32 kB    00:00
---> Package cpp.i386 0:4.0.2-8.fc4 set to be updated
---> Downloading header for cpio to pack into transaction set.
cpio-2.6-9.FC4.i386.rpm   100% |=========================|  10 kB    00:00
---> Package cpio.i386 0:2.6-9.FC4 set to be updated
---> Downloading header for kernel to pack into transaction set.
kernel-2.6.14-1.1644_FC4. 100% |=========================| 193 kB    00:00
---> Package kernel.i686 0:2.6.14-1.1644_FC4 set to be installed
---> Downloading header for gcc to pack into transaction set.
gcc-4.0.2-8.fc4.i386.rpm  100% |=========================|  39 kB    00:00
---> Package gcc.i386 0:4.0.2-8.fc4 set to be updated
---> Downloading header for libstdc++ to pack into transaction set.
libstdc%2B%2B-4.0.2-8.fc4 100% |=========================|  31 kB    00:00
---> Package libstdc++.i386 0:4.0.2-8.fc4 set to be updated
---> Downloading header for apr to pack into transaction set.
apr-0.9.6-3.5.i386.rpm    100% |=========================| 8.4 kB    00:00
---> Package apr.i386 0:0.9.6-3.5 set to be updated
---> Downloading header for mysql to pack into transaction set.
mysql-4.1.15-1.FC4.1.i386 100% |=========================|  36 kB    00:00
---> Package mysql.i386 0:4.1.15-1.FC4.1 set to be updated
---> Downloading header for mysql-server to pack into transaction set.
mysql-server-4.1.15-1.FC4 100% |=========================|  29 kB    00:00
---> Package mysql-server.i386 0:4.1.15-1.FC4.1 set to be updated
---> Downloading header for libgcc to pack into transaction set.
libgcc-4.0.2-8.fc4.i386.r 100% |=========================|  31 kB    00:00
---> Package libgcc.i386 0:4.0.2-8.fc4 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  i686       2.6.14-1.1644_FC4  updates-released   14 M
Updating:
 apr                     i386       0.9.6-3.5        updates-released  105 k
 cpio                    i386       2.6-9.FC4        updates-released  117 k
 cpp                     i386       4.0.2-8.fc4      updates-released  2.1 M
 file                    i386       4.16-fc4.1       updates-released  302 k
 gcc                     i386       4.0.2-8.fc4      updates-released  2.8 M
 libgcc                  i386       4.0.2-8.fc4      updates-released   60 k
 libstdc++               i386       4.0.2-8.fc4      updates-released  307 k
 mysql                   i386       4.1.15-1.FC4.1   updates-released  2.9 M
 mysql-server            i386       4.1.15-1.FC4.1   updates-released  6.8 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       9 Package(s)
Remove       0 Package(s)
Total download size: 30 M
Is this ok [y/N]:


Now it finds a bunch more updates.
Comment 1 Seth Vidal 2005-12-01 22:53:34 EST
you're using mirrorlists, right?

if so then you just hit two, out of sync, mirrors.

If you're not then reopen this.
Comment 2 Dave Jones 2005-12-02 00:09:57 EST
yeah that was it. thanks.
I hadn't realised we had mirrors that stayed out of sync for that long.
ho-hum.

Note You need to log in before you can comment on or make changes to this bug.